Support » Plugin: GPS MAP Widget » Error on eleganttheme ‘Extra’

  • Fatal error: Call to undefined function exif_read_data() in /home/admin/domains/roelsmitsfotografie.nl/public_html/wp-content/plugins/gps-map-widget/GPS_MAP_Widget.php on line 172

    Can you fix this problem?

Viewing 15 replies - 1 through 15 (of 23 total)
  • Plugin Author jondor

    (@jondor)

    Hmm.. I can generate a nicer error, but as the whole purpose of the plugin is to read the GPS info from the exif and to present a map based on it, I don’t think I can do without this php functionality.

    If not compiled into the php executable itself it could be loaded as a module (php_exif.dll or .so for linux) but then things start to depend on your OS. Under ubuntu and debian php5.x it’s compiled in. It could be that there are directadmin or plesk options to turn this on or off.

    Anyhow, without this function it will not run.

    Gerhard

    I had fixed the most errors by myself, at least the ones that where VPS related and php 7.1 related.

    I have downgraded to 7.0 and installed exif on my vps. The only problem is that I have a little empty box on my site.
    http://roelsmitsfotografie.nl/2016/12/20/19-12-2016-eindhoven-scooterrijder-en-fietser-botsen-op-kreugelstraat-eindhoven/

    Plugin Author jondor

    (@jondor)

    I’ve done a little research and found that php7 shouldn’t be a problem. That is, in the docker wordpress environment with php-fmt things worked smoothly but for a single issue in the call to my basic_class. This is no deal breaker, just a nuisance which will be solved in the next update.
    After that I checked your site, the broken image icon where the map should be.

    The chrome developer tools informed me that the url was there but google returned a 403 error. This is consistent with the lack of an api-key and hitting the limits so I assume that your site is a lot more busy than mine (or one of the other users as I never had this issue neither has anybody complained about it.

    A short explanation on how to get an api key is in the readme. I’m sure there’s an easier way, but that’s next to sort out.

    Anyhow, this is all fixed in the just update 1.8 version. I hope it solves your problems. If there are still other issues on the PHP level or due to the VPS I would like to hear about it.

    • This reply was modified 2 years, 2 months ago by  jondor.

    Thanks for the update,

    I have made a extra API key for the map and changed it in the GPS_MAP_Widget-plugin.php
    But even with cleared cache It seems not working, I have the broken image icon. The image is linked to the right location.

    Plugin Author jondor

    (@jondor)

    You filled in the key in the widget “apikey” field? as I see in the code:
    “https://maps.googleapis.com/maps/api/staticmap?zoom=11&size=300×200&markers=size:mid|51.44687,5.44934&key= ”

    No key, only a space..

    class gps_map_box_class extends basic_plugin_class {

    //var $staticMapsApiKey = ‘MYKEYHERE’;

    thats where I placed it

    Hm found another api key value, I have changed that, but still no result.

    Plugin Author jondor

    (@jondor)

    The line in the code is a left over from my testing. Was a bit in a hurry to get working solution out of the door.

    The api key should go in the widget. There’s a new field called “api-key” om which the key goes.

    Ignore the
    //var $staticMapsApiKey = ‘MYKEYHERE’;

    it’s commented out and will not do anything..

    You are also dutch I suppose? I will switch to dutch, its a little bit easier.

    Stom dat ik niet hem gezien dat het een comment was, ik heb de APIKEY ingevuld maar bij de huidige posts is er niks veranderd, kan het zijn dat dit alleen bij nieuwe berichten is?

    Plugin Author jondor

    (@jondor)

    Het zou niet mogen. Widgets zijn generiek en niet gekoppeld aan posts. De url als zodanig staat netjes in de code, maar nog altijd zonder een ingevulde key, dus dat dat niet werkt klopt.

    Blijft de vraag waarom niet. Gebruik je misschien een caching plugin om je site te versnellen? Dat de lokale cache geleegt moet worden?

    Op mijn eigen systeem kan ik het e.e.a. niet reproduceren dus daarmee blijft het een beetje gokken en raden..

    Plugin Author jondor

    (@jondor)

    Je hebt overigens toch de widget gebruikt? Niet de shortcode in een textwidget ofzo?

    Nope gebruik bewust geen caching plugins omdat die weer het e.e.a verpesten op mijn website.

    Ik gebruik inderdaad de widget omdat die automatisch werkt en een shortcode moet ik nog handmatig in de post zetten. Momenteel is alles geautomatiseerd en hoef ik alleen de fotos maar vanuit lightroom te uploaden.

    Overigens zie ik ook geen API aanvragen bij google.

    • This reply was modified 2 years, 2 months ago by  brandjuh.
    Plugin Author jondor

    (@jondor)

    da’s het idee.. Zag dat je ook een Sony Alpha gebruikt, althans op je foto. M’n eigen a65 heeft gps intern en dat is toch wel erg prettig..

    Maar goed, zou je de plugin eens helemaal willen verwijderen en van scratch opnieuw willen installeren? Het is een beetje far fetched, maar begin toch ook wat door m’n ideeen heen te raken. Zolang die apikey niet in de code verschijnt zal het niet gaan werken.

    Doet dat het ook niet, dan rest me weinig anders dan een speciale versie voor je te bakken die allerlei informatie toont in de hoop daar het probleem uit te distileren.

    Klopt, de A99 heeft ook inbuilt gps, mijn oude A65V ook, vind dat erg fijn al issie soms te laat met locatie bepalen.

    Ik heb de plugin via admin dashboard gewist en opnieuw geïnstalleerd, API code opnieuw ingesteld, zonder resultaat. Ik heb getest met de shortcode daarbij werkt hij wel, het lijkt erop dat er een script foutje is, waardoor hij de apikey niet oppakt.

    Shortcode werkt prima http://roelsmitsfotografie.nl/2017/01/06/2-01-2017-ongeval-op-druk-kruispunt-in-centrum-eindhoven/

    Is er een manier om de shortcode in de layout van de post te verwerken? Zie dat hij via de smartphone meeschaalt dus is ook een prima manier.

    Plugin Author jondor

    (@jondor)

    Ik ga morgen die code nog eens stap voor stap door. Misschien nog wat extra checks of info printen om eens te achterhalen waar het stuk loopt..

    Heb net m’n plugin site even geupgrade en van de apikey voorzien: http://plugins.funsite.eu/gps-map-widget/ werkt als een zonnetje.

    Volgens mij kun je die codes inderdaad ook wel in de code van een thema gebruiken. Zou ik even na moeten zoeken aangezien ik dat nog niet eerder gedaan heb. Vermoed dat het niet veel meer is dan het aanroepen van de class variabele met de juiste methode en parameters..

Viewing 15 replies - 1 through 15 (of 23 total)
  • The topic ‘Error on eleganttheme ‘Extra’’ is closed to new replies.